package intrinsic;

public class Array extends Object {

	/** Accessors */
	public int length;

	/** Variables */

	/** Constants */
	public static final int CASEINSENSITIVE = 0;
	public static final int DESCENDING = 0;
	public static final int RETURNINDEXEDARRAY = 0;
	public static final int NUMERIC = 0;
	public static final int UNIQUESORT = 0;
//	public static final int length = 0;

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Array() {
}


/** Static Methods */

/** Methods */
public native int indexOf(Object searchElement, int fromIndex);	
public native int push(Object o);
public native int push(double d);
public native Array splice(int startIndex, int deleteCount);
public native Array splice(int startIndex, int deleteCount, Object v0);
}
